Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ShapeBase.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ShapeBase.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ShapeBase.Serialization.cs	(revision 4068)
@@ -1,63 +1,56 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public abstract partial class ShapeBase :
+     ISerializable,
+     IXmlSerializable,
+     IDeserializationCallback {
+    #region Deserialization constructor
+
+    // -------------------------------------------------------------------
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-    [Serializable]
-    public abstract partial class ShapeBase :
-       ISerializable,
-       IXmlSerializable,
-       IDeserializationCallback
-    {
-        #region Deserialization constructor
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    // -------------------------------------------------------------------
+    protected ShapeBase(
+        SerializationInfo info,
+        StreamingContext context)
+      : base(info, context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled) {
+        Trace.WriteLine("Deserializing the fields of 'ShapeBase'.");
+      }
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        // -------------------------------------------------------------------
-        protected ShapeBase(
-            SerializationInfo info,
-            StreamingContext context)
-            : base(info, context)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-            {
-                Trace.WriteLine("Deserializing the fields of 'ShapeBase'.");
-            }
+      double version = info.GetDouble("ShapeBaseVersion");
 
-            double version = info.GetDouble("ShapeBaseVersion");
+      mConnectors = new CollectionBase<IConnector>();
 
-            mConnectors = new CollectionBase<IConnector>();
+      //transform to the new bounding rectangle
+      Transform(
+          (Rectangle)info.GetValue("Rectangle", typeof(Rectangle))
+      );
 
-            //transform to the new bounding rectangle
-            Transform(
-                (Rectangle)info.GetValue("Rectangle", typeof(Rectangle))
-            );
+      this.mConnectors = info.GetValue(
+          "Connectors",
+          typeof(CollectionBase<IConnector>)) as
+          CollectionBase<IConnector>;
 
-            this.mConnectors = info.GetValue(
-                "Connectors",
-                typeof(CollectionBase<IConnector>)) as
-                CollectionBase<IConnector>;
+      mShowConnectors = info.GetBoolean("ShowConnectors");
+      mIsFixed = info.GetBoolean("IsFixed");
+    }
 
-            mShowConnectors = info.GetBoolean("ShowConnectors");
-            mIsFixed = info.GetBoolean("IsFixed");
-        }
+    #endregion
 
-        #endregion
-
-        #region Serialization events
-        /*
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -71,8 +64,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-        /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -88,107 +81,101 @@
          }
        */
-        #endregion
+    #endregion
 
-        #region Serialization
+    #region Serialization
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Populates a <see cref="
-        /// T:System.Runtime.Serialization.SerializationInfo"></see> with 
-        /// the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The 
-        /// <see 
-        /// cref="T:System.Runtime.Serialization.SerializationInfo">
-        /// </see> to populate with data.</param>
-        /// <param name="context">The destination (see <see cref="
-        /// T:System.Runtime.Serialization.StreamingContext"></see>) 
-        /// for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The 
-        /// caller does not have the required permission. </exception>
-        // -------------------------------------------------------------------
-        public override void GetObjectData(
-            SerializationInfo info,
-            StreamingContext context)
-        {
-            if (Tracing.BinarySerializationSwitch.Enabled)
-            {
-                Trace.WriteLine("Serializing the fields of 'ShapeBase'.");
-            }
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Populates a <see cref="
+    /// T:System.Runtime.Serialization.SerializationInfo"></see> with 
+    /// the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The 
+    /// <see 
+    /// cref="T:System.Runtime.Serialization.SerializationInfo">
+    /// </see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="
+    /// T:System.Runtime.Serialization.StreamingContext"></see>) 
+    /// for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The 
+    /// caller does not have the required permission. </exception>
+    // -------------------------------------------------------------------
+    public override void GetObjectData(
+        SerializationInfo info,
+        StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled) {
+        Trace.WriteLine("Serializing the fields of 'ShapeBase'.");
+      }
 
-            base.GetObjectData(info, context);
+      base.GetObjectData(info, context);
 
-            info.AddValue(
-                "ShapeBaseVersion", 
-                shapeBaseVersion);
+      info.AddValue(
+          "ShapeBaseVersion",
+          shapeBaseVersion);
 
-            info.AddValue(
-                "Rectangle",
-                this.Rectangle,
-                typeof(Rectangle));
+      info.AddValue(
+          "Rectangle",
+          this.Rectangle,
+          typeof(Rectangle));
 
-            info.AddValue(
-                "Connectors",
-                this.Connectors,
-                typeof(CollectionBase<IConnector>));
+      info.AddValue(
+          "Connectors",
+          this.Connectors,
+          typeof(CollectionBase<IConnector>));
 
-            info.AddValue(
-                "IsFixed",
-                mIsFixed);
+      info.AddValue(
+          "IsFixed",
+          mIsFixed);
 
-            info.AddValue(
-                "ShowConnectors",
-                mShowConnectors);
+      info.AddValue(
+          "ShowConnectors",
+          mShowConnectors);
 
-        }
-        #endregion
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public override XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public override XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public override void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public override void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public override void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public override void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
-        #region IDeserializationCallback Members
+    #region IDeserializationCallback Members
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public override void OnDeserialization(object sender)
-        {
-            base.OnDeserialization(sender);
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public override void OnDeserialization(object sender) {
+      base.OnDeserialization(sender);
 
 
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'ShapeBase' called.");
-        }
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'ShapeBase' called.");
+    }
 
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ShapeMaterialBase.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ShapeMaterialBase.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ShapeMaterialBase.Serialization.cs	(revision 4068)
@@ -1,44 +1,38 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class ShapeMaterialBase : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public partial class ShapeMaterialBase : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected ShapeMaterialBase(SerializationInfo info, StreamingContext context)           
-        {
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected ShapeMaterialBase(SerializationInfo info, StreamingContext context) {
 
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'ShapeMaterialBase'.");
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'ShapeMaterialBase'.");
 
-            string version = info.GetString("ShapeMaterialBaseVersion");
-            this.mGliding = info.GetBoolean("Gliding");
-            this.mResizable = info.GetBoolean("Resizable");
-            this.Transform(
-                  (Rectangle) info.GetValue("Rectangle", typeof(Rectangle))
-                );                                                      
-            this.mVisible = info.GetBoolean("Visible");
-            
-        }
-        #endregion
+      string version = info.GetString("ShapeMaterialBaseVersion");
+      this.mGliding = info.GetBoolean("Gliding");
+      this.mResizable = info.GetBoolean("Resizable");
+      this.Transform(
+            (Rectangle)info.GetValue("Rectangle", typeof(Rectangle))
+          );
+      this.mVisible = info.GetBoolean("Visible");
 
-        #region Serialization events
-       /*
+    }
+    #endregion
+
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -52,8 +46,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -69,67 +63,62 @@
         }
        */
-        #endregion
+    #endregion
 
-        #region Serialization
-        /// <summary>
-        /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-        /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-        public virtual void GetObjectData(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'ShapeMaterialBase'.");
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public virtual void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'ShapeMaterialBase'.");
 
-            info.AddValue("ShapeMaterialBaseVersion", shapeMaterialBaseVersion);
-            info.AddValue("Gliding", this.Gliding);
-            info.AddValue("Resizable", this.Resizable);
-            info.AddValue("Rectangle", this.Rectangle, typeof(Rectangle));
-            info.AddValue("Visible", this.Visible);
-        }
-        #endregion
+      info.AddValue("ShapeMaterialBaseVersion", shapeMaterialBaseVersion);
+      info.AddValue("Gliding", this.Gliding);
+      info.AddValue("Resizable", this.Resizable);
+      info.AddValue("Rectangle", this.Rectangle, typeof(Rectangle));
+      info.AddValue("Visible", this.Visible);
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public virtual XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public virtual XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public virtual void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public virtual void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public virtual void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public virtual void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public virtual void OnDeserialization(object sender)
-        {
-            
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'ShapeMaterialBase' called.");
-        }
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public virtual void OnDeserialization(object sender) {
+
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'ShapeMaterialBase' called.");
     }
+  }
 }
